Subject: Re: Problem with a cygwin App - Broken on a pristine system until I install cygwin, cygwin1.dll doesn't seem to be enough
From: Cliff Hones <[email-masked]>
To: Benjamin Cutler <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Oct 2003 11:07:31 +0100

Benjamin Cutler wrote:
> ...
> Hrm, next time I get a chance to sit down in the CS lab and hammer away at it
> for a while (I currently only have a Linux box available to me without making
> a trip across campus) I'll try strace. As the previous poster suggested, I
> had already tried cygcheck, and all it spat back at me was SDL.dll,
> cygwin1.dll, and a bunch of standard Windows DLLs. Perhaps there's a compiler
> switch that I missed?

Have you considered the registry?  Installing Cygwin updates the
registry - it's where the mount points are recorded.  If your app
is using a POSIX-style path anywhere (eg /tmp/...) this would not
be found, and if your app is dependent on the text/binary mount
switches it would behave differently.

A quick check would be to temporarily rename your Cygnus Solutions
registry keys (in HKLM/Software and HKCU/Software), or else use
mount to experiment.

-- Cliff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/